package com.sundot.airport.item.mapper;

import com.sundot.airport.item.domain.HkSeizureStat;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface HkSeizureStatMapper {

    List<HkSeizureStat> selectHkSeizureStatList(HkSeizureStat query);

    HkSeizureStat selectHkSeizureStatById(Long id);

    HkSeizureStat selectHkSeizureStatByDateAndShift(@Param("recordDate") Date recordDate, @Param("shift") String shift);

    int insertHkSeizureStat(HkSeizureStat data);

    int updateHkSeizureStat(HkSeizureStat data);

    int deleteHkSeizureStatByIds(Long[] ids);
}
